#! /bin/bash

set -e

source ./version.sh

source ./pika-build-config.sh

echo "$PIKA_BUILD_ARCH" > pika-build-arch

# Get nvidia run file
cd ./nvidia-graphics-drivers-"$DRIVER_VERSION_MAJOR"
wget https://us.download.nvidia.com/XFree86/$DRIVER_ARCH/$DRIVER_VERSION_FULL/NVIDIA-$DRIVER_ARCH-$DRIVER_VERSION_FULL.run -O nvidia-installer.run
chmod +x nvidia-installer.run

# Get build deps
apt-get build-dep ./ -y

# Build package
LOGNAME=root dh_make --createorig -y -l -p nvidia-graphics-drivers-"$DRIVER_VERSION_MAJOR"_"$DRIVER_VERSION_FULL" || true
dpkg-buildpackage --no-sign

# Move the debs to output
cd ../
mkdir -p ./output
mv ./*.deb ./output/
